## bumpversion 0.5.10

=== Makefile ===
test:
	docker-compose build test
	docker-compose run test

debug_test:
	docker-compose build test
	docker-compose run test /bin/bash

clean:
	rm -rf dist build *.egg-info

dist:	clean
	python setup.py bdist_wheel

upload:
	twine upload dist/*

.PHONY: dist upload test debug_test

## bumpversion 0.5.3

=== debian/changelog ===
bumpversion (0.5.3-3) unstable; urgency=low

  * Set myself as maintainer as bumpversion is not maintained by DPMT.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2015 10:17:19 +0100

bumpversion (0.5.3-2) unstable; urgency=low

  * Fix URLs in Vcs-* fields.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Nov 2015 12:54:58 +0100

bumpversion (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #806590).

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Apr 2015 17:35:01 +0200

=== debian/control ===
Source: bumpversion
Section: devel
Priority: optional
Maintainer: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
X-Python3-Version: >= 3.4
Homepage: https://github.com/peritus/bumpversion
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bumpversion.git
Vcs-Git: git://anonscm.debian.org/collab-maint/bumpversion.git

Package: bumpversion
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Version-bump your software with a single command
 A small command line tool to simplify releasing software by updating all
 version strings in your source code by the correct increment.
 .
 Also creates commits and tags:
  * version formats are highly configurable
  * works without any VCS, but happily reads tag information from and
    writes commits and tags to Git and Mercurial if available
  * just handles text files, so it's not specific to any programming
    language

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION=$(shell dpkg-parsechangelog --show-field Version | cut -d- -f1)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONIOENCODING=utf-8 PYTHONPATH=. help2man \
		--version-string=$(UPSTREAM_VERSION) \
		--output=bumpversion.1 -s 1 \
		-n "Version-bump your software" \
		debian/bumpversion/usr/bin/bumpversion
	dh_installman

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/bumpversion/bumpversion-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bumpversion 0.5.10

=== debian/changelog ===
bumpversion (0.5.10-2) unstable; urgency=medium

  * Depend on python3-pkg-resources (Closes: #924304).

 -- Michael Fladischer <fladi@debian.org>  Mon, 11 Mar 2019 13:06:34 +0100

bumpversion (0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Convert from git-dpm to patches unapplied format.
  * Set Vcs-* to salsa.debian.org.
  * Switch to maintained fork (Closes: #916498).
  * Add patch to not install fork entry point.
  * Bump debhelper compatibility and version to 12.
  * Bump Standards-Version to 4.3.0.
  * Remove ancient X-Python3-Version field.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Change documentation to README.md.
  * Clean up files to allow two builds in a row.
  * Use https:// for copyright-format 1.0 URL.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
    variables.
  * Add python3-pytest and python3-mock to Build-Depends so tests are
    run automatically.
  * Add patch to disable entry point script test as the script is not
    installed at the time the tests are run.
  * Clean up pytest artifacts to allow two builds in a row.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Jan 2019 16:17:12 +0100

=== debian/control ===
Source: bumpversion
Section: devel
Priority: optional
Maintainer: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 help2man,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/peritus/bumpversion
Vcs-Git: https://salsa.debian.org/debian/bumpversion.git
Vcs-Browser: https://salsa.debian.org/debian/bumpversion
Testsuite: autopkgtest-pkg-python

Package: bumpversion
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: Version-bump your software with a single command
 A small command line tool to simplify releasing software by updating all
 version strings in your source code by the correct increment.
 .
 Also creates commits and tags:
  * version formats are highly configurable
  * works without any VCS, but happily reads tag information from and
    writes commits and tags to Git and Mercurial if available
  * just handles text files, so it's not specific to any programming
    language

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	PYTHONIOENCODING=utf-8 PYTHONPATH=. help2man \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		--output=bumpversion.1 -s 1 \
		-n "Version-bump your software" \
		debian/bumpversion/usr/bin/bumpversion
	dh_installman

## bumpversion 1.0.0

=== debian/changelog ===
bumpversion (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #950035).
  * Refresh patches.
  * Add python3-testfixtures to B-D as required by tests.
  * Add patch to skip tests correctly when hg/git is not installed.
  * Clean up pytest artifacts to allow two builds in a row.
  * Switch to debhelper-compat.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Fri, 21 Feb 2020 20:12:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Michael Fladischer <fladi@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  help2man,
  python3-all,
  python3-mock,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.3.0
+ python3-testfixtures,
+Standards-Version: 4.5.0
 Homepage: https://github.com/peritus/bumpversion
 Vcs-Git: https://salsa.debian.org/debian/bumpversion.git
 Vcs-Browser: https://salsa.debian.org/debian/bumpversion
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: bumpversion
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/bumpversion-$1/ \
https://github.com/c4urself/bump2version/releases \
/c4urself/bump2version/archive/v([\d\.]+)\.tar\.gz

## bumpversion 1.0.1

=== Makefile ===
test:
	docker-compose build test
	docker-compose run test

local_test:
	PYTHONPATH=. pytest tests/

lint:
	pip install pylint
	pylint bumpversion

debug_test:
	docker-compose build test
	docker-compose run test /bin/bash

clean:
	rm -rf dist build *.egg-info

dist:	clean
	python setup.py sdist bdist_wheel

upload:
	twine upload dist/*

.PHONY: dist upload test debug_test

=== debian/changelog ===
bumpversion (1.0.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove runtime dependency on old python3-pkg-resources (Closes: #1083328)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 11:40:28 +0100

bumpversion (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove build dependency on old python3-mock
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 23:56:01 +0200

bumpversion (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Update d/watch to work with github again.
  * Skip broken tests during build (Closes: #973060).
  * Add d/upstream/metadata.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Nov 2021 10:17:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,22 @@
 Priority: optional
 Maintainer: Michael Fladischer <fladi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  help2man,
  python3-all,
- python3-mock,
  python3-pytest,
  python3-setuptools,
  python3-testfixtures,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/peritus/bumpversion
 Vcs-Git: https://salsa.debian.org/debian/bumpversion.git
 Vcs-Browser: https://salsa.debian.org/debian/bumpversion
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: bumpversion
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: Version-bump your software with a single command

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+export PYBUILD_TEST_ARGS=-k "not test_usage_string and not test_defaults_in_usage_with_config"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installman:
 	PYTHONIOENCODING=utf-8 PYTHONPATH=. help2man \

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/bumpversion-$1/ \
https://github.com/c4urself/bump2version/tags \
/c4urself/bump2version/archive/refs/tags/v([\d\.]+)\.tar\.gz
